For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETList Project
      • POSTCreate Project
      • GETGet Project
      • POSTUpdate Project
      • DELDelete Project
      • GETGet Project Config
      • POSTSet Project Config
      • POSTUpdate Project Avatar
      • GETIAM - List Project Members
      • GETIAM - Lookup Project Member
      • POSTIAM - Update Project Member
      • POSTIAM - Test Project Permissions
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceProjects

Set Project Config

POST
/org/:org_id/project/:project_id/config
POST
/api/v1/org/:org_id/project/:project_id/config
$curl -X POST https://app.rightbrain.ai/api/v1/org/org_id/project/project_id/config \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "llm": "gpt-3.5-turbo",
3 "temperature": 0.5,
4 "knn": 4,
5 "chat_system_commands": [
6 "string"
7 ],
8 "chat_guardrails": {
9 "input": [
10 {
11 "name": "prompt_policy"
12 }
13 ],
14 "output": [
15 {
16 "name": "string"
17 }
18 ]
19 },
20 "query_expansion": false,
21 "models_config": {
22 "exclusion_rules": [
23 {
24 "rule_type": "model_id",
25 "excluded_at": "2024-01-15T09:30:00Z",
26 "model_id": "string",
27 "provider": "string",
28 "vendor": "string",
29 "excluded_by_user_id": "string",
30 "reason": "string"
31 }
32 ],
33 "default_model_id": "string",
34 "model_preferences": {}
35 }
36}
Was this page helpful?
Previous

Update Project Avatar

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
project_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
llmstringOptionalDefaults to gpt-3.5-turbo
temperaturedoubleOptional0-1Defaults to 0.5
knnintegerOptional>=0Defaults to 4
chat_system_commandslist of strings or nullOptional
chat_guardrailsobject or nullOptional
query_expansionbooleanOptionalDefaults to false
Enable query expansion. Uses an LLM to generate multiple rephrasing of the original query for better broad spectrum vector retrieval
models_configobjectOptional
Model management configuration

Response

Successful Response
llmstringDefaults to gpt-3.5-turbo
temperaturedouble0-1Defaults to 0.5
knninteger>=0Defaults to 4
chat_system_commandslist of strings or null
chat_guardrailsobject or null
query_expansionbooleanDefaults to false
Enable query expansion. Uses an LLM to generate multiple rephrasing of the original query for better broad spectrum vector retrieval
models_configobject
Model management configuration

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error